export default ExplainStage;
declare class ExplainStage extends React.Component<any, any, any> {
    static displayName: string;
    static propTypes: {
        name: PropTypes.Validator<string>;
        nReturned: PropTypes.Validator<number>;
        highlights: PropTypes.Validator<object>;
        curStageExecTimeMS: PropTypes.Validator<number>;
        prevStageExecTimeMS: PropTypes.Validator<number>;
        totalExecTimeMS: PropTypes.Validator<number>;
        isShard: PropTypes.Validator<boolean>;
        details: PropTypes.Validator<object>;
        x: PropTypes.Validator<number>;
        y: PropTypes.Validator<number>;
        xoffset: PropTypes.Validator<number>;
        yoffset: PropTypes.Validator<number>;
    };
    static defaultProps: {
        name: string;
        nReturned: number;
        isShard: boolean;
        totalExecTimeMS: number;
        curStageExecTimeMS: number;
        prevStageExecTimeMS: number;
        x: number;
        y: number;
        xoffset: number;
        yoffset: number;
        details: {};
    };
    constructor(props: any);
    state: {
        detailsOpen: boolean;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    getNewZIndex(): number;
    getHighlightSections(): React.Component;
    detailsButtonClicked(): void;
    drawArc(): void;
    renderShardView(): React.Component;
    renderStageView(): React.Component;
    render(): React.Component;
}
import React from "react";
import { Component } from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=explain-stage.d.ts.map